<meta charset="UTF-8">
<meta http-equiv="X-UA-Compatible" content="IE=edge">
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<meta name="description" content="{{ $.Site.Params.SEODescription }}" />

<title>
	{{ .Page.Title }} | {{ $.Site.Title }}
</title>

<link rel="icon" type="image/x-icon" href="{{ $.Site.BaseURL }}/favicon.ico">

{{/* Load Bootstrap SCSS. */}}
{{ $options := dict "enableSourceMap" true }}
{{ if hugo.IsProduction}}
{{ $options := dict "enableSourceMap" false "outputStyle" "compressed" }}
{{ end }}
{{ $bs_styles := resources.Get "scss/bs.scss" | css.Sass $options | resources.Minify }}
{{ $flag_styles := resources.Get "scss/flag-icons.custom.scss" | resources.ExecuteAsTemplate "flag-icons.custom.scss" . | css.Sass $options | resources.Minify }}
{{ if hugo.IsProduction }}
{{ $bs_styles = $bs_styles | fingerprint }}
{{ $flag_styles = $flag_styles | fingerprint }}
{{ end }}
<link href="{{ $bs_styles.RelPermalink }}" rel="stylesheet" />
<link href="{{ $flag_styles.RelPermalink }}" rel="stylesheet" />

{{/* Load DarkMode JS. */}}
{{ $darkmode_js := resources.Get "js/dark-mode-switch.js" | resources.Minify  }}
{{ $params := dict }}
{{ $sourceMap := cond hugo.IsProduction "" "inline" }}
{{ $opts := dict "sourceMap" $sourceMap "minify" hugo.IsProduction "target" "es2018" "params" $params }}
{{ $darkmode_js = $darkmode_js | js.Build $opts }}
{{ if hugo.IsProduction }}
{{ $darkmode_js = $darkmode_js | fingerprint }}
{{ end }}  
<script src="{{ $darkmode_js.RelPermalink }}" {{ if hugo.IsProduction }}integrity="{{ $darkmode_js.Data.Integrity }}"{{ end }} defer></script>

<style>
.visually-hidden { 
    border: 0;
    padding: 0;
    margin: 0;
    position: absolute !important;
    overflow: hidden;
    clip: rect(1px 1px 1px 1px); /* IE6, IE7 - a 0 height clip, off to the bottom right of the visible 1px box */
    clip: rect(1px, 1px, 1px, 1px); /*maybe deprecated but we need to support legacy browsers */
    clip-path: inset(50%); /*modern browsers, clip-path works inwards from each corner*/
    white-space: nowrap; /* added line to stop words getting smushed together (as they go onto seperate lines and some screen readers do not understand line feeds as a space */
}
</style>
